package com.ss.android.ugc.aweme.search.viewmodel;

import X.0Bt;
import X.0Gf;
import X.0Gp;
import X.2ce;
import X.C3415SXj;
import X.CjH;
import X.OeM;
import X.SV5;
import X.SYM;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.discover.api.SuggestWordsApi;
import com.ss.android.ugc.aweme.discover.model.TrendingData;
import com.ss.android.ugc.aweme.discover.model.suggest.TypeWords;
import com.ss.android.ugc.aweme.discover.model.suggest.Word;
import java.util.List;
import kotlin.h.b.n;

public final class SuggestWordsViewModel extends 0Bt {
    public static final String LJFF = "key_raw_guess_words";
    public static final String LJI = "SuggestWordsViewModel";
    public static final String LJII = "key_middle_guess_list";
    public static final CjH LJIIIIZZ = new CjH((byte) 0);
    public final 2ce<OeM<List<TypeWords>>> LIZ = new 2ce<>();
    public final 2ce<Word> LIZIZ = new 2ce<>();
    public boolean LIZJ = true;
    public final 2ce<OeM<String>> LIZLLL = new 2ce<>();
    public final 2ce<OeM<TrendingData>> LJ = new 2ce<>();

    static {
        Covode.recordClassIndex(104873);
    }

    public final void LIZ() {
        SuggestWordsApi.LIZIZ.LIZIZ().LIZ(new C3415SXj(this), 0Gp.LIZIZ, (0Gf) null);
    }

    public final void LIZ(SYM sym, SV5 sv5) {
        if (sv5 != null && n.LIZ("1", sv5.obtainLogData("is_from_video")) && this.LIZJ) {
            this.LIZJ = false;
            sym.LJIIJ = sv5.getSearchHint();
        }
    }
}
